#!/bin/bash

set -e

up () {
  docker network create pew-net || true

  # Exposed on port 8096 in pew-net  
  # TODO intel hw acceleration
  docker run \
    --detach \
    --name jellyfin \
    --restart unless-stopped \
    --env PUID=1000 \
    --env PGID=1000 \
    --env TZ=US/Eastern \
    --volume /bigdata/k8s-config/jellyfin/config:/config:rw \
    --volume /bigdata/media/movies:/media/movies:ro \
    --volume /bigdata/media/music:/media/music:ro \
    --network pew-net \
    ghcr.io/linuxserver/jellyfin:latest
}

down () {
  docker stop jellyfin || true
  docker rm jellyfin || true
}

logs () {
  docker logs --follow jellyfin
}

$@
