#!/bin/bash

set -e

up () {
  # Poll interval: 1800s (30 mins)
  docker run \
    --detach \
    --name nfs \
    --volume /bigdata/tmp/echarlie-photos:/bigdata/tmp/echarlie-photos:rw \
    --volume /bigdata/k8s-config/nfs/exports.txt:/etc/exports.txt \
    --volume /var/run/docker.sock:/var/run/docker.sock:rw \
     erichough/nfs-server:latest
}

down () {
  docker stop nfs || true
  docker rm nfs || true
}

logs () {
  docker logs --follow nfs
}

$@
