#!/bin/bash

set -e

##### Update as follows #####
#/etc/apache2/conf.d # cat dav_svn.conf
#LoadModule dav_svn_module /usr/lib/apache2/mod_dav_svn.so
#LoadModule authz_svn_module /usr/lib/apache2/mod_authz_svn.so
#
#<Location /svn>
#     DAV svn
#     SVNParentPath /home/svn
#     SVNListParentPath On
#     Allow from All
#     Satisfy Any
##     AuthType Basic
##     AuthName "Subversion Repository"
##     AuthUserFile /etc/subversion/passwd
#     AuthzSVNAccessFile /etc/subversion/subversion-access-control
##     Require valid-user
#  </Location>


# See https://github.com/elleFlorio/svn-docker for adding users

up () {
  docker network create pew-net || true

  # Exposed on port 80 in pew-net
  docker run \
    --detach \
    --name tunnelvr-fileserver \
    --restart unless-stopped \
    --volume /bigdata/archive/vpicc-private/tunnelvr:/home/svn:rw \
    --volume svn_config:/etc/subversion \
    --volume svnadmin_config:/opt/svnadmin/data \
    --publish 10.42.0.203:8081:80 \
    --publish 10.42.0.203:3690:3690 \
    --network pew-net \
    elleflorio/svn-server:latest
}

down () {
  docker stop tunnelvr-fileserver || true
  docker rm tunnelvr-fileserver || true
}

logs () {
  docker logs --follow tunnelvr-fileserver
}

$@
