#!/bin/bash

set -e

up () {
  # Exposed on port 8000
  docker run \
    --detach \
    --name tunnelvr \
    --restart unless-stopped \
    --volume /bigdata/k8s-config/tunnelvr/caddywebserver:/home/caver/.local/share/godot/app_userdata/tunnelvr_v0.7/caddywebserver:ro \
    --publish 127.0.0.1:8000:8000 \
    ghcr.io/paulwalko/tunnelvr-server:testv8
}

down () {
  docker stop tunnelvr || true
  docker rm tunnelvr || true
}

logs () {
  docker logs --follow tunnelvr
}

$@
