#!/bin/bash

set -e

up () {
  docker run \
    --detach \
    --name unifi \
    --restart unless-stopped \
    --env PUID=1000 \
    --env GUID=1000 \
    --volume /bigdata/k8s-config/unifi/config:/config:rw \
    --publish 3478:3478/udp \
    --publish 10001:10001/udp \
    --publish 8080:8080/tcp \
    --publish 8443:8443/tcp \
    ghcr.io/linuxserver/unifi-controller:6.5.54-ls134
}

down () {
  docker stop unifi || true
  docker rm unifi || true
}

logs () {
  docker logs --follow unifi
}

$@
