#!/bin/bash

set -e

up () {
  # Poll interval: 1800s (30 mins)
  docker run \
    --detach \
    --name watchtower \
    --volume /var/run/docker.sock:/var/run/docker.sock:rw \
    ghcr.io/containrrr/watchtower:amd64-1.3.0 --interval 1800 
}

down () {
  docker stop watchtower || true
  docker rm watchtower || true
}

logs () {
  docker logs --follow watchtower
}

$@
